package com.cecf.observe;

import java.time.Instant;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class TraceEvent {
    public TraceEvent(long nano, String name) {
        Timestamp = Date.from(Instant.ofEpochMilli((long) (nano / 1e6)));
        Name = name;
        Attributes = new HashMap<>();
    }

    public Date Timestamp;
    public String Name;
    public Map<String, String> Attributes;
}
