package com.cecf.observe;

import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.List;

public class SpanEvents {
    JSONArray events = new JSONArray();

    public SpanEvents(JSONArray arr) {
        this.events = arr;
    }

    public List<SpanEvent> getEventsByName(String name) {
        List<SpanEvent> ret = new ArrayList<>();
        for (int i = 0; i < this.events.length(); i++) {
            JSONObject e = this.events.getJSONObject(i);
            if (e.has("name") && e.getString("name").equals(name)) {
                SpanEvent fe = new SpanEvent();
                fe.name = e.getString("name");
                if (e.has("attributes")) {
                    fe.attrs = new JSONAnyValueList(e.getJSONArray("attributes"));
                }
                ret.add(fe);
            }
        }
        return ret;
    }
}


