package com.cecf.observe;

import org.apache.flink.api.common.functions.FlatMapFunction;
import org.apache.flink.util.Collector;

import java.util.List;

public class SpringBootFlatMapFunc implements FlatMapFunction<List<SpringBootSpan>, SpringBootSpan> {
    @Override
    public void flatMap(List<SpringBootSpan> springBootSpans, Collector<SpringBootSpan> collector) throws Exception {
        for (SpringBootSpan span : springBootSpans) {
            collector.collect(span);
        }
    }
}
